Package com.sap.ai.sdk.core.client

# Class ApplicationApi

java.lang.Object
com.sap.cloud.sdk.services.openapi.apache.apiclient.BaseApi
com.sap.ai.sdk.core.client.ApplicationApi

public class ApplicationApi extends com.sap.cloud.sdk.services.openapi.apache.apiclient.BaseApi
AI Core in version 2.42.0.

Provides tools to manage your scenarios and workflows in SAP AI Core. Execute pipelines as a batch job, for example to pre-process or train your models, or perform batch inference. Serve inference requests of trained models. Deploy а trained machine learning model as a web service to serve inference requests with high performance. Register your own Docker registry, synchronize your AI content from your own git repository, and register your own object store for training data and trained models.

- ## Field Summary

  ### Fields inherited from class com.sap.cloud.sdk.services.openapi.apache.apiclient.BaseApi

  `apiClient, defaultHeaders`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `ApplicationApi()`
  Instantiates this API class to invoke operations on the AI Core
  `ApplicationApi(AiCoreService aiCoreService)`
  Instantiates this API class to invoke operations on the AI Core

- ## Method Summary

  Modifier and Type
  Method
  Description
  `BckndArgoCDApplicationCreationResponse`
  `create(KubesubmitV4ApplicationsCreateRequest kubesubmitV4ApplicationsCreateRequest)`
  Create an application
  `BckndArgoCDApplicationCreationResponse`
  `create(KubesubmitV4ApplicationsCreateRequest kubesubmitV4ApplicationsCreateRequest, String authorization)`
  Create an application
  `BckndArgoCDApplicationDeletionResponse`
  `delete(String applicationName)`
  Delete application
  `BckndArgoCDApplicationDeletionResponse`
  `delete(String applicationName, String authorization)`
  Delete application
  `BckndArgoCDApplicationDataResponse`
  `get(String applicationName)`
  Get ArgoCD application
  `BckndArgoCDApplicationDataResponse`
  `get(String applicationName, String authorization)`
  Get ArgoCD application
  `BckndAllArgoCDApplicationData`
  `getAll()`
  Return all applications
  `BckndAllArgoCDApplicationData`
  `getAll(String authorization, Integer $top, Integer $skip, Boolean $count)`
  Return all applications
  `BckndArgoCDApplicationStatus`
  `getStatus(String applicationName)`
  Returns the ArgoCD application status
  `BckndArgoCDApplicationStatus`
  `getStatus(String applicationName, String authorization)`
  Returns the ArgoCD application status
  `BckndArgoCDApplicationRefreshResponse`
  `refresh(String applicationName)`
  Makes ArgoDC refresh the specified application
  `BckndArgoCDApplicationRefreshResponse`
  `refresh(String applicationName, String authorization)`
  Makes ArgoDC refresh the specified application
  `BckndArgoCDApplicationModificationResponse`
  `update(String applicationName, BckndArgoCDApplicationBaseData bckndArgoCDApplicationBaseData)`
  Update the ArgoCD application.
  `BckndArgoCDApplicationModificationResponse`
  `update(String applicationName, BckndArgoCDApplicationBaseData bckndArgoCDApplicationBaseData, String authorization)`
  Update the ArgoCD application.
  `ApplicationApi`
  `withDefaultHeaders(Map<String,String> defaultHeaders)`
  Creates a new API instance with additional default headers.

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### ApplicationApi

    public ApplicationApi()
    Instantiates this API class to invoke operations on the AI Core

  - ### ApplicationApi

    public ApplicationApi(@Nonnull AiCoreService aiCoreService)
    Instantiates this API class to invoke operations on the AI Core
    Parameters:
      `aiCoreService` - The configured connectivity instance to AI Core

- ## Method Details

  - ### withDefaultHeaders

    public ApplicationApi withDefaultHeaders(@Nonnull Map<String,String> defaultHeaders)
    Creates a new API instance with additional default headers.
    Parameters:
      `defaultHeaders` - Additional headers to include in all requests
    Returns:
      A new API instance with the combined headers

  - ### create

    @Nonnull public BckndArgoCDApplicationCreationResponse create(@Nonnull KubesubmitV4ApplicationsCreateRequest kubesubmitV4ApplicationsCreateRequest, @Nullable String authorization) throws com.sap.cloud.sdk.services.openapi.apache.core.OpenApiRequestException
    Create an application

    Create an ArgoCD application to synchronise a repository.

    200 - The ArgoCD application has been created and will be eventually synchronised with the repository.

    400 - The request was malformed and could thus not be processed.

    0 - HTTP status codes 401, 403 or 500. Response body contains further details.

    Parameters:
      `kubesubmitV4ApplicationsCreateRequest` - (required) The value for the parameter kubesubmitV4ApplicationsCreateRequest
      `authorization` - (optional) Authorization bearer token containing a JWT token.
    Returns:
      BckndArgoCDApplicationCreationResponse
    Throws:
      `com.sap.cloud.sdk.services.openapi.apache.core.OpenApiRequestException` - if an error occurs while attempting to invoke the API

  - ### create

    @Nonnull public BckndArgoCDApplicationCreationResponse create(@Nonnull KubesubmitV4ApplicationsCreateRequest kubesubmitV4ApplicationsCreateRequest) throws com.sap.cloud.sdk.services.openapi.apache.core.OpenApiRequestException
    Create an application

    Create an ArgoCD application to synchronise a repository.

    200 - The ArgoCD application has been created and will be eventually synchronised with the repository.

    400 - The request was malformed and could thus not be processed.

    0 - HTTP status codes 401, 403 or 500. Response body contains further details.

    Parameters:
      `kubesubmitV4ApplicationsCreateRequest` - The value for the parameter kubesubmitV4ApplicationsCreateRequest
    Returns:
      BckndArgoCDApplicationCreationResponse
    Throws:
      `com.sap.cloud.sdk.services.openapi.apache.core.OpenApiRequestException` - if an error occurs while attempting to invoke the API

  - ### delete

    @Nonnull public BckndArgoCDApplicationDeletionResponse delete(@Nonnull String applicationName, @Nullable String authorization) throws com.sap.cloud.sdk.services.openapi.apache.core.OpenApiRequestException
    Delete application

    Delete an ArgoCD application

    200 - The argoCD application has been deleted successfully.

    404 - The specified resource was not found

    400 - The request was malformed and could thus not be processed.

    0 - HTTP status codes 401, 403 or 500. Response body contains further details.

    Parameters:
      `applicationName` - (required) Name of the ArgoCD application
      `authorization` - (optional) Authorization bearer token containing a JWT token.
    Returns:
      BckndArgoCDApplicationDeletionResponse
    Throws:
      `com.sap.cloud.sdk.services.openapi.apache.core.OpenApiRequestException` - if an error occurs while attempting to invoke the API

  - ### delete

    @Nonnull public BckndArgoCDApplicationDeletionResponse delete(@Nonnull String applicationName) throws com.sap.cloud.sdk.services.openapi.apache.core.OpenApiRequestException
    Delete application

    Delete an ArgoCD application

    200 - The argoCD application has been deleted successfully.

    404 - The specified resource was not found

    400 - The request was malformed and could thus not be processed.

    0 - HTTP status codes 401, 403 or 500. Response body contains further details.

    Parameters:
      `applicationName` - Name of the ArgoCD application
    Returns:
      BckndArgoCDApplicationDeletionResponse
    Throws:
      `com.sap.cloud.sdk.services.openapi.apache.core.OpenApiRequestException` - if an error occurs while attempting to invoke the API

  - ### get

    @Nonnull public BckndArgoCDApplicationDataResponse get(@Nonnull String applicationName, @Nullable String authorization) throws com.sap.cloud.sdk.services.openapi.apache.core.OpenApiRequestException
    Get ArgoCD application

    Retrieve the ArgoCD application details.

    200 - The application has been found and returned.

    400 - The request was malformed and could thus not be processed.

    404 - The specified resource was not found

    0 - HTTP status codes 401, 403 or 500. Response body contains further details.

    Parameters:
      `applicationName` - (required) Name of the ArgoCD application
      `authorization` - (optional) Authorization bearer token containing a JWT token.
    Returns:
      BckndArgoCDApplicationDataResponse
    Throws:
      `com.sap.cloud.sdk.services.openapi.apache.core.OpenApiRequestException` - if an error occurs while attempting to invoke the API

  - ### get

    @Nonnull public BckndArgoCDApplicationDataResponse get(@Nonnull String applicationName) throws com.sap.cloud.sdk.services.openapi.apache.core.OpenApiRequestException
    Get ArgoCD application

    Retrieve the ArgoCD application details.

    200 - The application has been found and returned.

    400 - The request was malformed and could thus not be processed.

    404 - The specified resource was not found

    0 - HTTP status codes 401, 403 or 500. Response body contains further details.

    Parameters:
      `applicationName` - Name of the ArgoCD application
    Returns:
      BckndArgoCDApplicationDataResponse
    Throws:
      `com.sap.cloud.sdk.services.openapi.apache.core.OpenApiRequestException` - if an error occurs while attempting to invoke the API

  - ### getAll

    @Nonnull public BckndAllArgoCDApplicationData getAll(@Nullable String authorization, @Nullable Integer $top, @Nullable Integer $skip, @Nullable Boolean $count) throws com.sap.cloud.sdk.services.openapi.apache.core.OpenApiRequestException
    Return all applications

    Return all Argo CD application data objects.

    200 - All applications have been found and returned.

    400 - The request was malformed and could thus not be processed.

    0 - HTTP status codes 401, 403 or 500. Response body contains further details.

    Parameters:
      `authorization` - (optional) Authorization bearer token containing a JWT token.
      `$top` - (optional) Number of results to display
      `$skip` - (optional) Number of results to be skipped from the ordered list of results
      `$count` - (optional) When the $count field is set to false, the response contains a count of the items present in the response. When the $count field is set to true, the response contains a count of all the items present on the server, and not just the ones in the response. When the $count field is not passed, it is false by default.
    Returns:
      BckndAllArgoCDApplicationData
    Throws:
      `com.sap.cloud.sdk.services.openapi.apache.core.OpenApiRequestException` - if an error occurs while attempting to invoke the API

  - ### getAll

    @Nonnull public BckndAllArgoCDApplicationData getAll() throws com.sap.cloud.sdk.services.openapi.apache.core.OpenApiRequestException
    Return all applications

    Return all Argo CD application data objects.

    200 - All applications have been found and returned.

    400 - The request was malformed and could thus not be processed.

    0 - HTTP status codes 401, 403 or 500. Response body contains further details.

    Returns:
      BckndAllArgoCDApplicationData
    Throws:
      `com.sap.cloud.sdk.services.openapi.apache.core.OpenApiRequestException` - if an error occurs while attempting to invoke the API

  - ### getStatus

    @Nonnull public BckndArgoCDApplicationStatus getStatus(@Nonnull String applicationName, @Nullable String authorization) throws com.sap.cloud.sdk.services.openapi.apache.core.OpenApiRequestException
    Returns the ArgoCD application status

    Returns the ArgoCD application health and sync status.

    200 - The application status has been found and returned.

    400 - The request was malformed and could thus not be processed.

    404 - The specified resource was not found

    0 - HTTP status codes 401, 403 or 500. Response body contains further details.

    Parameters:
      `applicationName` - (required) Name of the ArgoCD application
      `authorization` - (optional) Authorization bearer token containing a JWT token.
    Returns:
      BckndArgoCDApplicationStatus
    Throws:
      `com.sap.cloud.sdk.services.openapi.apache.core.OpenApiRequestException` - if an error occurs while attempting to invoke the API

  - ### getStatus

    @Nonnull public BckndArgoCDApplicationStatus getStatus(@Nonnull String applicationName) throws com.sap.cloud.sdk.services.openapi.apache.core.OpenApiRequestException
    Returns the ArgoCD application status

    Returns the ArgoCD application health and sync status.

    200 - The application status has been found and returned.

    400 - The request was malformed and could thus not be processed.

    404 - The specified resource was not found

    0 - HTTP status codes 401, 403 or 500. Response body contains further details.

    Parameters:
      `applicationName` - Name of the ArgoCD application
    Returns:
      BckndArgoCDApplicationStatus
    Throws:
      `com.sap.cloud.sdk.services.openapi.apache.core.OpenApiRequestException` - if an error occurs while attempting to invoke the API

  - ### refresh

    @Nonnull public BckndArgoCDApplicationRefreshResponse refresh(@Nonnull String applicationName, @Nullable String authorization) throws com.sap.cloud.sdk.services.openapi.apache.core.OpenApiRequestException
    Makes ArgoDC refresh the specified application

    Schedules a refresh of the specified application that will be picked up by ArgoCD asynchronously

    202 - A refresh of the application has been scheduled

    400 - The request was malformed and could thus not be processed.

    404 - The specified resource was not found

    0 - HTTP status codes 401, 403 or 500. Response body contains further details.

    Parameters:
      `applicationName` - (required) Name of the ArgoCD application
      `authorization` - (optional) Authorization bearer token containing a JWT token.
    Returns:
      BckndArgoCDApplicationRefreshResponse
    Throws:
      `com.sap.cloud.sdk.services.openapi.apache.core.OpenApiRequestException` - if an error occurs while attempting to invoke the API

  - ### refresh

    @Nonnull public BckndArgoCDApplicationRefreshResponse refresh(@Nonnull String applicationName) throws com.sap.cloud.sdk.services.openapi.apache.core.OpenApiRequestException
    Makes ArgoDC refresh the specified application

    Schedules a refresh of the specified application that will be picked up by ArgoCD asynchronously

    202 - A refresh of the application has been scheduled

    400 - The request was malformed and could thus not be processed.

    404 - The specified resource was not found

    0 - HTTP status codes 401, 403 or 500. Response body contains further details.

    Parameters:
      `applicationName` - Name of the ArgoCD application
    Returns:
      BckndArgoCDApplicationRefreshResponse
    Throws:
      `com.sap.cloud.sdk.services.openapi.apache.core.OpenApiRequestException` - if an error occurs while attempting to invoke the API

  - ### update

    @Nonnull public BckndArgoCDApplicationModificationResponse update(@Nonnull String applicationName, @Nonnull BckndArgoCDApplicationBaseData bckndArgoCDApplicationBaseData, @Nullable String authorization) throws com.sap.cloud.sdk.services.openapi.apache.core.OpenApiRequestException
    Update the ArgoCD application.

    Update the referenced ArgoCD application to synchronize the repository.

    200 - The ArgoCD application has been created and will be eventually synchronised with the repository.

    404 - The specified resource was not found

    400 - The request was malformed and could thus not be processed.

    0 - HTTP status codes 401, 403 or 500. Response body contains further details.

    Parameters:
      `applicationName` - (required) Name of the ArgoCD application
      `bckndArgoCDApplicationBaseData` - (required) The value for the parameter bckndArgoCDApplicationBaseData
      `authorization` - (optional) Authorization bearer token containing a JWT token.
    Returns:
      BckndArgoCDApplicationModificationResponse
    Throws:
      `com.sap.cloud.sdk.services.openapi.apache.core.OpenApiRequestException` - if an error occurs while attempting to invoke the API

  - ### update

    @Nonnull public BckndArgoCDApplicationModificationResponse update(@Nonnull String applicationName, @Nonnull BckndArgoCDApplicationBaseData bckndArgoCDApplicationBaseData) throws com.sap.cloud.sdk.services.openapi.apache.core.OpenApiRequestException
    Update the ArgoCD application.

    Update the referenced ArgoCD application to synchronize the repository.

    200 - The ArgoCD application has been created and will be eventually synchronised with the repository.

    404 - The specified resource was not found

    400 - The request was malformed and could thus not be processed.

    0 - HTTP status codes 401, 403 or 500. Response body contains further details.

    Parameters:
      `applicationName` - Name of the ArgoCD application
      `bckndArgoCDApplicationBaseData` - The value for the parameter bckndArgoCDApplicationBaseData
    Returns:
      BckndArgoCDApplicationModificationResponse
    Throws:
      `com.sap.cloud.sdk.services.openapi.apache.core.OpenApiRequestException` - if an error occurs while attempting to invoke the API